/**
 * [description] app locale
 */

const appLocale = {
    locale: 'en-US',
    messages: {

        'apiDoc':'API doc',
        'designDoc':'Design doc',

        // designToken
        'designToken.variable': 'variable',
        'designToken.defaultValue': 'defaultValue',
        'designToken.usage': 'usage',
        'designToken.WIP': 'WIP',
        // app
        'app.next': '下一步',

        // footer
        'footer.component': 'React Component Library',
        'footer.dsm': 'Theme & DSM',

        'search.belong.component': 'Component',
        'search.belong.material': 'Material',
        'search.belong.design': 'Design',
        'search.belong.site': 'Site',
        'search.type.paragraph': 'Paragraph',
        'search.type.heading': 'Heading',
        'search.type.code': 'Code',
        'search.type.brief': 'Brief',
        // 'search.type.title':'Title',
        'search.type.strong': 'Strong',
        'search.msg.peopleSearch': 'People are searching',
        'search.input.placeholder': 'Search component/material/resource',

        // common
        component: 'Components',
        themeStore: 'Theme',
        designLanguage: 'Design',
        language: 'Language',
        changelog: 'Changelog',
        'header.toDarkmode': 'DarkMode',
        'header.toLightmode': 'LightMode',
        'header.switchLanguage': 'Switch Chinese',
        'themePicker.primaryColor': 'Primary Color',
        'themePicker.confirm': 'Confirm',
        'changelog.internal.link': 'This type of address is used when Semi is not open source, and external users may not be able to access it. If you have any questions, you can open an issue~',

        'editor.copy': 'Copy Code',
        'editor.copy.success': 'Copy Success',
        'editor.reset': 'Reset Code',
        'editor.expand': 'Expand Code',
        'editor.collapse': 'Collapse Code',
        'editor.liveTag': 'Editable',

        // changelog diff
        'changelog.diff.button': 'Version Diff',
        'changelog.diff.title': 'Version Diff',
        'changelog.diff.version1.insetLabel': 'Version1',
        'changelog.diff.version2.insetLabel': 'Version2',
        'changelog.diff.version.placeholder': 'Please select a version',
        'changelog.diff.change.insetLabel': 'Change',
        'changelog.diff.change.all': 'All',
        'changelog.diff.empty': 'No diff between selected versions',
        'changelog.diff.type.placeholder': 'Please select change category',
        'changelog.diff.type.insetLabel': 'Category',


        // Icon list
        'icon.list.tab.fill': 'Fill Icons',
        'icon.list.tab.stroked': 'Stroked Icons',

        "home.banner.description": "A modern, comprehensive, flexible design system that gives you all modular blocks you need to build sensible web apps & SaaS products.",
        "start_using": "Get Started",
        "home.resource.rd": "Dev",
        "home.resource.rd.desc": "Semi UI for React, live code demo with full documentation that speed up your workflow.",
        "component_documentation": "API Docs",
        "home.resource.design": "Design",
        "home.resource.design.desc": "Fully synced design tokens and component variants, powered by Figma.",
        "home.theme": "Theming",
        "home.theme.desc": "Create variations of UI Styles that suit your brand with full flexibility",
        "volcengine_theme": "Volce Engine Theme",
        "home.pro.desc": "Design with real code components，convert your deisgn to code with one click",

        "#nezha_s_magic_child_descent_#topic_activity_is_now_open!_according_to_the_rules_e2fe356bd395679eb176daa81ef0d082": "#Nezha's Magic Child Descent #Topic Activity is now open!",
        "access_is_simple_and_easy_to_use;": "Semi is easy to get started; the UI is beautiful and consistent; and the API is comprehensive, too.",
        "apple_account": "Apple Account",
        "as_an_excellent_benchmarking_industry": "As a benchmark among various UI libraries, Semi is doing really well. It also has a good guarantee for the fast respond as well as the efficiency of customer support.",
        "based_on": "Based on",
        "based_on_design_language_development__capable_of_online_debugging": "Based on design language development, capable of online debugging",
        "beautiful_style_and_unified_theme;": "Beautiful style and unified theme;",
        "beijing__china": "Beijing, China",
        "big_v": "Big V",
        "build__fully_aligned_design_resources_with_component_library_code__using": "Build, fully aligned design resources with component library code, using",
        "by_bytedance_douyin_front_with": "By ByteDance Douyin Front with",
        "chief_foodie__good_at_algorithms__especially": "Chief foodie, good at algorithms, especially",
        "commercialization": "Commercialization",
        "component_design__referring_to_the_design_schemes_of_other_business_platforms__s_e47da10ff860ba8b9db1268c06011006": "Component design, referring to the design schemes of other business platforms, summarizes its own front-end specifications and unifies the delivery standards of the platform.",
        "component_library_to_help_developers_build_applications_efficiently": "Component library to help developers build applications efficiently",
        "components__themes_and_other_out_of_the_box_middle_and_back_office_solutions_hel_a50de9f9d8f3b5008c2df45dcfa19886": "Components, themes and other out-of-the-box middle and back-office solutions help designers and developers create high-quality products.",
        "comprehensive__easy_to_use_and_high_quality": "Build your next app",
        "enterprise_product_design_system": "with Semi Design",
        "content_security": "Content Security",
        "default": "Default",
        "design": "Design",
        "design__bytedance": "Design, ByteDance",
        "design_resources_are_obviously_helpful_to_improve_efficiency_": "Design assets can obviously help improve efficiency.",
        "douyin_certification": "Douyin certification",
        "douyin_creative_service_theme": "Douyin Creator Theme",
        "douyin_little_assistant": "Douyin Little Assistant",
        "easy_to_use__beautiful_style_": "Semi Design is easy-to-use and stylish.",
        "excellent_design_of_mid_background_enterprise_applications": "Excellent design of mid-background enterprise applications",
        "experience_monitoring": "Experience Monitoring",
        "fast_cloning_or_in_depth_customization__flexible_deployment_of_design_styles_in__cf414f060a2bb3eb0a80dca86d00bcbe": "Fast cloning or in-depth customization, flexible deployment of design styles in line with brand tonality",
        "feishu_universe_design_theme": "Feishu Universe Design Theme",
        "front_end__bytedance": "Developer, ByteDance",
        "google_account": "Google Account",
        "grow_with_users": "Stride along with Users",
        "home.useNow": "home.use Now",
        "learn_more": "Learn more",
        "live_open_platform": "Live Open Platform",
        "now_serving_100_000": "Trusted by 100,000 + users",
        "official_topics": "Official Topics",
        "pay_attention_to_our_users__join_and_help_us_to_continuously_improve": "value our users, any kind of contribution is welcome",
        "placeholder_text": "Placeholder text",
        "powerful_theme_editor__real_time_effect__one_click_synchronization_of_design_too_d77f5776bf126331e801d6d6aa0146f2": "Tweak 2000+ tokens with powerful theme editor, synced with Figma",
        "private_message_content": "Private message content",
        "private_message_management": "Private Message Management",
        "product_manager__bytedance": "Product Manager, ByteDance",
        "real_component_code_design__massive_page_template_front_end_code_one_click": "Real component code design, massive page template front-end code one click",
        "rich_and_comprehensive_": "Rich and comprehensive.",
        "semi_design_share_presentation": "Semi Design Share Presentation",
        "send": "Send",
        "sender": "Sender",
        "smart_translation": "Smart Translation",
        "super_good!_strong_push_": "Semi is super easy-to-use, highly recommended.",
        "system_notification": "System Notification",
        "the_components_are_quite_complete__covering_a_wide_range_and_the_overall_style_i_e10d9214b403886d249f00b8c4dbb975": "The component coverage are quite complete, covering a wide range, and the overall style is decent as well.",
        "the_documentation_is_very_detailed_and_the_details_of_the_components_are_well_th_aadc51a1122c41cf69ebd4b15e83e864": "The documentation is very detailed, sufficient.",
        "the_library_did_a_really_good_job__it_has_a_good_guarantee_for_the_corresponding_61cb34deb7e27e6561dd9a5bce00de72": "The library did a really good job. It has a good guarantee for the corresponding speed of the problem and the efficiency of solving the problem.",
        "there_are_many_other_business_uses_within_the_company__there_are_more_sample_ref_c5fe7051d5fbf1a547084c91f7c4fd8e": "Semi provides various referecnes. We rely on Semi's component not only to design, but also to level-up our overall delivery standards for the entire platform.",
        "time_of_dispatch": "Time of dispatch",
        "under_construction": "Under construction",
        "uniform_style_and_high_fidelity_prototype_facilitate_communication_with_front_en_95d0c0ccece05c104b98ac0dae9fb53b": "It’s fluent to communicate with front-end devs because of the uniform style.",
        "user": "User",
        "video_compression_algorithm": "Video compression algorithm",
        "volcano_little_helper": "Volcano Little"
    },
};

export default appLocale;
